/*
 * ts2vob - Convert MPEG Transport Stream to Program Stream for DVD-Video
 * Copyright (C) 2005 Martin Winken <martinwi@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

/* $Id: DummyStream.h,v 1.1.1.1 2005/02/26 13:45:51 martinwi Exp $ */

#ifndef DUMMYSTREAM_H
#define DUMMYSTREAM_H

#include "ElementaryStream.h"

class DummyStream : public ElementaryStream {
public:
    virtual void discardAU() {}
    virtual void endOfStream() {}
    virtual void buildAUs(bytevec::const_iterator insertPos) { clearBuffer(); }
};

#endif
